Class | Compass::Installers::Manifest
In: | lib/compass/installers/manifest.rb
Parent: | Object

### Methods

compile? description discover each generate_config? help instance_binding known_extensions new no_configuration_file! parse plural_types skip_compilation! type welcome_message welcome_message_options with_manifest

### Included Modules

Enumerable

### Classes and Modules

Class Compass::Installers::Manifest::Entry

### Attributes

options | [R] |
welcome_message_options | [R] |

### Public Class methods

known_extensions()
new(manifest_file = nil, options = {})
plural_types()
type(t, options = {})

### Public Instance methods

compile?()
description(value = nil)
discover(type)
each() {|e| ...}

Enumerates over the manifest files

generate_config?()
help(value = nil)
welcome_message(value = nil, options = {})
welcome_message_options()

### Protected Instance methods

instance_binding()
no_configuration_file!()
parse(manifest_file)

parses a manifest file which is a ruby script evaluated in a Manifest instance context

skip_compilation!()
with_manifest(manifest_file) {|| ...}

[Validate]